TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.MessageFormatException Class Reference

Datatype mismatch More...

Inheritance diagram for TIBCO.EMS.MessageFormatException:

## Public Member Functions
| MessageFormatException (string reason, string errorCode)
| Initializes a new instance of the MessageFormatException with the specified reason and error code. More...
| MessageFormatException (string reason)
| Initializes a new instance of the MessageFormatException with the specified reason. More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

Datatype mismatch

This exception must be thrown when a EMS client attempts to use a data type not supported by a message or attempts to read data in a message as the wrong type. It must also be thrown when equivalent type errors are made with message property values.

For example, this exception must be thrown if:

- A read method cannot read the data with the specified type.
- A write method cannot store the data in the message or property because the data has the wrong type.

## Constructor & Destructor Documentation

TIBCO.EMS.MessageFormatException.MessageFormatException | ( | string | reason,
|  | string | errorCode
| ) |  |
| inline

Initializes a new instance of the MessageFormatException with the specified reason and error code.

TIBCO.EMS.MessageFormatException.MessageFormatException | ( | string | reason | ) |
| inline

Initializes a new instance of the MessageFormatException with the specified reason.